/* ".LST" file output for gpasm
   Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005
   James Bowman, Craig Franklin
   Copyright (C) 2012 Borut Razem
$C*/

#ifndef __LST_H__
#define __LST_H__
#include <stdarg.h>

/* MPASM(X) compatible listing */
#define MPASM_LIST

#ifdef MPASM_LIST
#define LST_LINENUM_POS 22
#else
#define LST_LINENUM_POS 15
#endif
#define LST_SRC_POS     (LST_LINENUM_POS + 6)

extern void lst_line(const char *format, ...);
extern void lst_err_line(const char *type, unsigned int code, const char *format, va_list args);
extern void lst_throw(void);
extern void lst_init(void);
extern void lst_memory_map(MemBlock_t *m);
extern void lst_close(void);
extern void lst_format_line(const char *line, unsigned int value);
extern void lst_symbol_table(void);
extern void lst_page_start(void);
extern void preproc_init(void);
extern void preproc_emit(void);

#endif
